Issue #13197 has been updated by Hiroshi SHIBATA.


Note: Pathname class depends FileUtils. If we added breaking changes to `FileUtils`, Pathname is also broken.

https://github.com/ruby/ruby/blob/trunk/ext/pathname/lib/pathname.rb#L569

So, We need to add dependency FileUtils to Pathname after gem releases of pathname and fileutils.

Example case:

1. pathname-1.0.0 and fileutils-1.0.0 woks fine when Ruby 2.5.0 release.
2. fileutils changes some of public API in Ruby 2.6.0. We will fix pathname class.
3. We need to ship fileutils-2.0.0 and pathname-2.0.0.
4. In this case, pathname-1.0.0 is broken with fileutils-2.0.0.

We need to add dependency of `'fileutils', '~> 1.0.0'` to pathname-1.0.0 when Ruby 2.4.0 release.

----------------------------------------
Feature #13197: Gemify fileutils
https://bugs.ruby-lang.org/issues/13197#change-62894

* Author: Hiroshi SHIBATA
* Status: Assigned
* Priority: Normal
* Assignee: Hiroshi SHIBATA
* Target version: 2.5
----------------------------------------
This issue is tracking for gem release of FileUtils module.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>